# _ExpectHeaders
<span class="source-link">[[Source]](src/net-http/_http_parser.md#L10)</span>
```pony
primitive val _ExpectHeaders
```

## Constructors

### create
<span class="source-link">[[Source]](src/net-http/_http_parser.md#L10)</span>


```pony
new val create()
: _ExpectHeaders val^
```

#### Returns

* [_ExpectHeaders](net-http-_ExpectHeaders) val^

---

## Public Functions

### eq
<span class="source-link">[[Source]](src/net-http/_http_parser.md#L11)</span>


```pony
fun box eq(
  that: _ExpectHeaders val)
: Bool val
```
#### Parameters

*   that: [_ExpectHeaders](net-http-_ExpectHeaders) val

#### Returns

* [Bool](builtin-Bool) val

---

### ne
<span class="source-link">[[Source]](src/net-http/_http_parser.md#L11)</span>


```pony
fun box ne(
  that: _ExpectHeaders val)
: Bool val
```
#### Parameters

*   that: [_ExpectHeaders](net-http-_ExpectHeaders) val

#### Returns

* [Bool](builtin-Bool) val

---

